<%@ page language="java" contentType="text/html;charset=UTF-8" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<%--@elvariable id="mailSettings" type="org.jahia.services.mail.MailSettings"--%>
<%--@elvariable id="flowRequestContext" type="org.springframework.webflow.execution.RequestContext"--%>
<script type="text/javascript">
    function submitRemoteJCRFormAction(action) {
        $('#remoteJCRFlowAction').attr("name", "_eventId");
        $('#remoteJCRFlowAction').val(action);
        $('#remoteJCRFlowForm').submit();
    }

    $(document).ready(function(){
        $("#sharedAccess").click(function(){
            var $username = $("#username");
            if($(this).is(":checked")){
                $username.val('');
                $username.removeAttr('readonly');
            } else {
                $username.val('root');
                $username.attr('readonly','readonly');
            }
        });

        $('.admin_tooltip').tooltip()
    });
</script>

<h2><fmt:message key="remoteJcrMountPointFactory"/> -
    <fmt:message key="remoteJcrMountPointFactory.userCredentials"><fmt:param value="${local.name}"/></fmt:message>
</h2>
<%@ include file="errors.jspf" %>

<div class="box-1">
    <form:form modelAttribute="userCredentials" method="post" style="width: 50%;" id="remoteJCRFlowForm">
        <input type="hidden" id="remoteJCRFlowAction"/>
        <fieldset>
            <div class="container-fluid">
                <div class="row-fluid">
                    <form:label path="url"><fmt:message key="userCredentials.url"/>&nbsp;<span style="color: red">*</span></form:label>
                    <form:input path="url"/>
                </div>
                <div class="row-fluid">
                    <form:label path="username"><fmt:message key="userCredentials.username"/>&nbsp;<span style="color: red">*</span></form:label>
                    <form:input path="username" readonly="${!userCredentials.sharedAccess}"/>
                </div>
                <div class="row-fluid">
                    <form:label path="password"><fmt:message key="userCredentials.password"/>&nbsp;<span style="color: red">*</span></form:label>
                    <form:password path="password" autocomplete="off"/>
                </div>
                <div class="row-fluid">
                    <form:label path="sharedAccess">
                        <fmt:message key="userCredentials.sharedAccess"/>&nbsp;&nbsp;<form:checkbox path="sharedAccess" id="sharedAccess"/>&nbsp;<span class="admin_tooltip" data-placement="right" title="<fmt:message key="userCredentials.sharedAccess.info"/>"><i class="icon-info-sign"></i></span>
                    </form:label>
                </div>
            </div>
        </fieldset>
        <fieldset>
            <div class="container-fluid">
                <button class="btn btn-primary" type="button" onclick="submitRemoteJCRFormAction('previous')">
                    <span><fmt:message key="label.previous"/></span>
                </button>
                <button class="btn btn-primary" type="submit" name="_eventId_next">
                    <span><fmt:message key="label.next"/></span>
                </button>
                <button class="btn" type="button" onclick="submitRemoteJCRFormAction('cancel')">
                    <span><fmt:message key="label.cancel"/></span>
                </button>
            </div>
        </fieldset>
    </form:form>
</div>
